package com.qmth.cqb.flow.enums;

public enum PassEnum {
	PASS(1,"通过"),
	NOPASS(0,"不通过");
	private int value;
	private String desc;
	
	private PassEnum(int value, String desc) {
		this.value = value;
		this.desc = desc;
	}
	
	public static final PassEnum toEnumByValue(int value) {
		PassEnum s = null;
        for (PassEnum e : PassEnum.values()) {
            if (e.getValue() == value) {
                s = e;
                break;
            }
        }
        return s;
    }
	
	private PassEnum(){
		
	}

	public int getValue() {
		return value;
	}

	public void setValue(int value) {
		this.value = value;
	}

	public String getDesc() {
		return desc;
	}

	public void setDesc(String desc) {
		this.desc = desc;
	}

}
