package com.qmth.cqb.flow.serviceImpl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Example;
import org.springframework.stereotype.Service;

import com.qmth.cqb.flow.dao.DataMapModelRepo;
import com.qmth.cqb.flow.model.DataMapModel;
import com.qmth.cqb.flow.service.DataMapModelService;

@Service("dataMapModelService")
public class DataMapModelServiceImpl implements DataMapModelService{
	
	@Autowired
	private DataMapModelRepo dataMapModelRepo;
	
	@Override
	public void saveDataMapModel(DataMapModel dataMapModel) {
		dataMapModelRepo.save(dataMapModel);
	}

	@Override
	public DataMapModel findDataMapModel(String mainId) {
		return dataMapModelRepo.findOne(Example.of(new DataMapModel(mainId)));
	}

}
