package com.qmth.cqb.flow.serviceImpl;



import java.util.HashMap;
import java.util.Map;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import com.qmth.cqb.flow.model.WorkFlowModel;
import com.qmth.cqb.flow.service.ComTaskService;
import com.qmth.cqb.flow.service.CompleteUserTaskService;



@Service("completeUserTaskService")
public class CompleteUserTaskServiceImpl implements CompleteUserTaskService{
	
	@Resource
	private ComTaskService comTaskService;
	@Override
	public void completeUserTask(WorkFlowModel workFlowModel) throws Exception {
		//1.处理业务
		//doSomething()
		//设置下一步系统任务调用的http地址
		Map<String,Object> variables = new HashMap<String, Object>();
		//variables.put("nextHttpUrl", "http://127.0.0.1:8080/testServiceTaskController/testServiceTaskMethod?param=1");
		variables.put("condition", workFlowModel.getCondition());
		variables.put("assignee", workFlowModel.getAssignee());
		workFlowModel.setVariables(variables);
		//2.调用工作流接口，完成任务
		comTaskService.completeTask(workFlowModel);
	}
	
}
